@media (max-width: 1200px) {
    html,
    body {
        font-size: 16px;
    }
    h1,
    .h1 {
        font-size: 42px;
    }
    h2,
    .h2 {
        font-size: 24px;
    }
    h3,
    .h3 {
        font-size: 20px;
    }
    .header {
        padding-block: 32px;
    }
    .hero {
        padding-top: 110px;
        padding-bottom: 190px;
    }
    .hero::before {
        top: -420px;
        left: -420px;
    }
    .hero__inner {
        column-gap: 20px;
        grid-template-columns: 1fr 353px;
    }
    .hero__title {
        margin-bottom: 6px;
    }
    .hero__subtitle {
        margin-bottom: 82px;
    }
    .hero__rating-body {
        row-gap: 6px;
    }
    .hero__form::before {
        width: 353px;
        height: 353px;
    }
    .celebrities {
        padding-bottom: 50px;
    }
    .celebrities__item {
        column-gap: 55px;
    }
    .celebrities__item-person {
        column-gap: 10px;
    }
    .celebrities__item-description {
        font-size: 14px;
    }
    .ai {
        padding-bottom: 64px;
    }
    .ai__body {
        padding: 60px;
    }
    .ai__title {
        max-width: 300px;
    }
    .ai__image {
        max-width: 375px;
    }
    .calculator {
        padding-bottom: 70px;
    }
    .calculator__inner {
        grid-template-columns: 1fr 355px;
        column-gap: 80px;
    }
    .calculator__title {
        margin-bottom: 12px;
    }
    .calculator__desc {
        margin-bottom: 26px;
        font-size: 14px;
    }
    .calculator__form {
        padding: 35px 32px;
    }
    .calculator__title {
        margin-bottom: 18px;
    }
    .calculator__subtitle {
        margin-bottom: 16px;
        font-size: 14px;
    }
    .calculator__calculation {
        display: flex;
        flex-direction: column;
        row-gap: 18px;
        margin-bottom: 25px;
    }
    .calculator__income-value {
        display: block;
        margin-left: 0;
        margin-top: 4px;
    }
    .how-to-use {
        padding-bottom: 75px;
    }
    .how-to-use__top {
        max-width: 478px;
        margin-bottom: 62px;
    }
    .how-to-use__list {
        column-gap: 20px;
    }
    .how-to-use__item:not(:last-child)::after {
        width: 50px;
        height: 50px;
    }
    .how-to-use__item-icon {
        top: -30px;
        width: 60px;
        height: 60px;
    }
    .how-to-use__item-icon img {
        width: 30px;
        height: auto;
    }
    .how-to-use__item-wrapper {
        padding: 50px 25px 22px;
    }
    .how-to-use__item-title {
        margin-bottom: 10px;
    }
    .how-to-use__item-desc {
        font-size: 14px;
    }
    .how-to-use__item-button {
        font-size: 14px;
        margin-top: 20px;
        padding-inline: 24px;
    }
    .advantages::after {
        bottom: -420px;
        right: -320px;
    }
    .advantages__list {
        row-gap: 42px;
    }
    .about {
        padding-bottom: 105px;
    }
    .about__body {
        padding: 50px 65px 40px;
        padding-right: 0px;
    }
    .cryptocurrency__image {
        display: none;
    }
    .reviews {
        padding-bottom: 75px;
    }
    .reviews-slider__image {
        top: -50px;
        width: 100px;
        height: 100px;
    }
    .reviews-slider__slide-body {
        padding: 70px 20px 18px;
        row-gap: 8px;
    }
    .reviews-slider__stars {
        margin-bottom: 8px;
    }
    .reviews-slider__desc {
        font-size: 14px;
    }
    .reviews-slider__earnings {
        font-size: 16px;
        padding-block: 12px;
    }
    .bottom__inner {
        padding: 40px 60px 60px;
    }
    .bottom__title {
        font-size: 32px;
    }
    .footer::after {
        bottom: -600px;
        left: -200px;
    }
}

@media (max-width: 768px) {
    * {
        -webkit-tap-highlight-color: transparent;
    }
    h1,
    .h1 {
        font-size: 30px;
    }
    h2,
    .h2 {
        font-size: 24px;
    }
    h3,
    .h3 {
        font-size: 18px;
    }
    .header__inner {
        justify-content: center;
    }
    .header__content {
        column-gap: 18px;
    }
    .header__product-name {
        text-align: start;
    }
    .header__product-name br {
        display: none;
    }
    .hero {
        padding-bottom: 60px;
    }
    .hero::before {
        top: -204px;
        left: -204px;
        width: 408px;
        height: 408px;
    }
    .hero__inner {
        display: flex;
        flex-direction: column;
        row-gap: 60px;
    }
    .hero__body {
        text-align: center;
    }
    .hero__title {
        margin-bottom: 5px;
    }
    .hero__subtitle {
        margin-bottom: 21px;
    }
    .hero__rating {
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .hero__rating-title {
        text-align: start;
    }
    .hero__form {
        max-width: 400px;
        margin: 0 auto;
    }
    .celebrities__item {
        display: flex;
        flex-direction: column;
        row-gap: 30px;
    }
    .celebrities__item-person {
        align-items: center;
    }
    .celebrities::after {
        bottom: -204px;
        right: -204px;
        width: 408px;
        height: 408px;
    }
    .ai__inner {
        display: flex;
        flex-direction: column;
        align-items: center;
        row-gap: 15px;
        background-image: url('../img/ai-bg.webp');
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        padding: 38px 26px 0;
    }
    .ai__body {
        background-image: none;
        padding: 0;
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
    }
    .ai__image {
        position: static;
        max-width: 100%;
    }
    .calculator {
        padding-bottom: 52px;
    }
    .calculator__inner {
        display: flex;
        flex-direction: column;
        row-gap: 26px;
    }
    .calculator__title {
        margin-bottom: 12px;
    }
    .calculator__desc {
        margin: 0;
    }
    .calculator__button {
        display: none;
    }
    .calculator__form {
        padding: 35px 25px 20px;
    }
    .how-to-use {
        padding-bottom: 45px;
    }
    .how-to-use__top {
        margin-bottom: 80px;
    }
    .how-to-use__list {
        display: flex;
        flex-direction: column;
        row-gap: 72px;
    }
    .how-to-use__item:not(:last-child)::after {
        display: none;
    }
    .how-to-use__item-icon {
        top: -40px;
        width: 80px;
        height: 80px;
    }
    .how-to-use__item-icon img {
        width: 35px;
    }
    .how-to-use__item-wrapper {
        padding: 70px 30px 45px;
    }
    .how-to-use__item-wrapper::before {
        left: 50%;
        translate: -50%;
    }
    .how-to-use__item-body {
        text-align: center;
    }
    .how-to-use__item-title {
        font-size: 20px;
    }
    .how-to-use__item-button {
        padding-block: 14px;
    }
    .advantages::after {
        bottom: -242px;
        right: -284px;
        width: 484px;
        height: 484px;
    }
    .advantages__item {
        grid-template-columns: 80px 1fr;
        column-gap: 15px;
    }
    .advantages__item-image {
        width: 80px;
        height: 80px;
    }
    .advantages__item-image img {
        width: 35px;
        height: 35px;
    }
    .advantages__item-desc {
        font-size: 14px;
    }
    .advantages__item-title {
        margin-bottom: 6px;
    }
    .about {
        padding-bottom: 0;
    }
    .about__inner {
        padding: 51px 21px 51px;
    }
    .about__body {
        padding: 0;
        max-width: 100%;
    }
    .about__title {
        margin-bottom: 10px;
    }
    .about__desc {
        margin-bottom: 24px;
    }
    .about__button {
        width: 100%;
    }
    .swiper {
        overflow: hidden !important;
    }
    .reviews-slider {
        padding-top: 120px;
    }
    .reviews-slider__control {
        margin-top: 42px;
        display: flex;
        align-items: center;
        justify-content: center;
        column-gap: 20px;
    }
    .bottom {
        padding-bottom: 60px;
    }
    .bottom__inner {
        padding: 38px 20px 28px;
    }
    .bottom__title {
        font-size: 24px;
    }
    .bottom__button {
        padding-inline: 24px;
        width: 80%;
    }
    .footer {
        padding-bottom: 45px;
    }
    .footer::after {
        left: -400px;
    }
    .footer__menu {
        margin-bottom: 25px;
    }
    .footer__menu-list {
        flex-direction: column;
        row-gap: 10px;
        text-align: center;
    }
    .footer__menu-link {
        font-size: 18px;
    }
}
